org.eclipse.jetty.annotations

## Class AnnotationParser.ListValue

- java.lang.Object
- - org.eclipse.jetty.annotations.AnnotationParser.Value
  - - org.eclipse.jetty.annotations.AnnotationParser.ListValue

- Enclosing class:
    AnnotationParser

      public class AnnotationParser.ListValue
      extends AnnotationParser.Value

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationParser.ListValue(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValue(AnnotationParser.Value v)`
    `List<AnnotationParser.Value>` | `getList()`
    `Object` | `getValue()`
    `int` | `size()`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.jetty.annotations.AnnotationParser.Value

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationParser.ListValue

          public AnnotationParser.ListValue(String name)

  - ### Method Detail

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in class `AnnotationParser.Value`

    - #### getList

          public List<AnnotationParser.Value> getList()

    - #### addValue

          public void addValue(AnnotationParser.Value v)

    - #### size

          public int size()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.